Started converting the make check target to aegis style tests
[pspp-builds.git] / tests / test_template
diff --git a/tests/test_template b/tests/test_template
new file mode 100755 (executable)
index 0000000..664549c
--- /dev/null
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# This program tests ....
+
+TEMPDIR=/tmp/pspp-tst-$$
+
+here=`pwd`;
+
+# ensure that top_srcdir is absolute
+cd $top_srcdir; top_srcdir=`pwd`
+
+export STAT_CONFIG_PATH=$top_srcdir/config
+
+
+cleanup()
+{
+     rm -rf $TEMPDIR
+}
+
+
+fail()
+{
+    echo $activity
+    echo FAILED
+    cleanup;
+    exit 1;
+}
+
+
+no_result()
+{
+    echo $activity
+    echo NO RESULT;
+    cleanup;
+    exit 2;
+}
+
+pass()
+{
+    cleanup;
+    exit 0;
+}
+
+mkdir -p $TEMPDIR
+
+cd $TEMPDIR
+
+put test set up here ...
+
+if [ $? -ne 0 ] ; then no_result ; fi
+
+
+put test here
+
+if [ $? -ne 0 ] ; then fail ; fi
+
+
+pass;